| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::testing::MockIDirectManipulationContent Class Reference
Inheritance diagram for flutter::testing::MockIDirectManipulationContent:

## Public Member Functions
| MockIDirectManipulationContent ()
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, AddRef, ULONG())
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, Release, ULONG())
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, QueryInterface, HRESULT(REFIID, void **))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, GetContentRect, HRESULT(RECT *))
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, GetContentTransform, HRESULT(float *, DWORD))
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, GetOutputTransform, HRESULT(float *, DWORD))
| MOCK_METHOD3_WITH_CALLTYPE (STDMETHODCALLTYPE, GetTag, HRESULT(REFIID, void **, UINT32 *))
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, GetViewport, HRESULT(REFIID, void **))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetContentRect, HRESULT(const RECT *))
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, SetTag, HRESULT(IUnknown *, UINT32))
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, SyncContentTransform, HRESULT(const float *, DWORD))

## Detailed Description

Definition at line 105 of file direct_manipulation_unittests.cc.

## Constructor & Destructor Documentation

## ◆ MockIDirectManipulationContent()

flutter::testing::MockIDirectManipulationContent::MockIDirectManipulationContent | ( |  | ) |
| inline

Definition at line 107 of file direct_manipulation_unittests.cc.

107 {}

## Member Function Documentation

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [1/2]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | AddRef | ,
|  | ULONG() |
| ) |  |

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [2/2]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | Release | ,
|  | ULONG() |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [1/2]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetContentRect | ,
|  | HRESULT(RECT *) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [2/2]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetContentRect | ,
|  | HRESULT(const RECT *) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [1/6]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetContentTransform | ,
|  | HRESULT(float *, DWORD) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [2/6]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetOutputTransform | ,
|  | HRESULT(float *, DWORD) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [3/6]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetViewport | ,
|  | HRESULT(REFIID, void **) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [4/6]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | QueryInterface | ,
|  | HRESULT(REFIID, void **) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [5/6]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetTag | ,
|  | HRESULT(IUnknown *, UINT32) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [6/6]

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SyncContentTransform | ,
|  | HRESULT(const float *, DWORD) |
| ) |  |

## ◆ MOCK_METHOD3_WITH_CALLTYPE()

flutter::testing::MockIDirectManipulationContent::MOCK_METHOD3_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetTag | ,
|  | HRESULT(REFIID, void **, UINT32 *) |
| ) |  |

The documentation for this class was generated from the following file:

- shell/platform/windows/direct_manipulation_unittests.cc